All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.dataselectors.filters
Class SimpleFilterDefinitionModelBase

    com.sas.dataselectors.filters.SimpleFilterDefinitionModelBase

All Implemented Interfaces:
  SimpleFilterDefinitionModelInterface

Direct Known Subclasses:
  BusinessModelToAdvancedFilterDefinitionModelAdapter, BusinessQueryToSimpleFilterDefinitionModelAdapter, InformationMapToSimpleFilterDefinitionModelAdapter

    public class SimpleFilterDefinitionModelBase

implements SimpleFilterDefinitionModelInterface

Base for a simple adapter to wrap the given data source and initial selection into a selector model.

Field Summary
`static java.lang.String` | `RB_KEY`

Constructor Summary
`SimpleFilterDefinitionModelBase(SimpleFilterListEditorModelInterface listEditorModel)` Creates a new model that edits only the first entry in the given adapter.

Method Summary
`boolean` | `commitChanges()` Commit Changes will either update or create (as needed) the LogicTestNode to the DataSelection
`java.lang.Object` | `getApplicationData()` Used to retrieve application specific data
`FilterItemListInterface` | `getDataSource()` Gets the primary model for the adapter.
`java.lang.Object` | `getRootFilterObject()` Return the root filter object in the native model.
`FilterLogicTestNodeInterface` | `getSelection()` Gets the selection model for the adapter.
`void` | `setApplicationData(java.lang.Object data)` Used to store application specific data
`void` | `setSelection(FilterLogicTestNodeInterface value)` Sets the selection model for the adapter.

Field Detail

### RB_KEY

    public static java.lang.String RB_KEY

Constructor Detail

### SimpleFilterDefinitionModelBase

    public SimpleFilterDefinitionModelBase(SimpleFilterListEditorModelInterface listEditorModel)

  Creates a new model that edits only the first entry in the given adapter. The Items are based on the data selection. The initial selection is empty.

  Parameters:
    `dataSource` - the primary model

Method Detail

### commitChanges

    public boolean commitChanges()

  Commit Changes will either update or create (as needed) the LogicTestNode to the DataSelection

  Specified by:
    `commitChanges` in interface `SimpleFilterDefinitionModelInterface`
  Returns:
    false if no place to commit to, true if commit succeeded

### getRootFilterObject

    public java.lang.Object getRootFilterObject()

  Description copied from interface: `SimpleFilterDefinitionModelInterface`
  Return the root filter object in the native model.

  Specified by:
    `getRootFilterObject` in interface `SimpleFilterDefinitionModelInterface`
  Returns:
    the root filter object

### getDataSource

    public FilterItemListInterface getDataSource()

  Gets the primary model for the adapter. (synonym of FilterItemList)

  Specified by:
    `getDataSource` in interface `SimpleFilterDefinitionModelInterface`
  Returns:
    the data source

### getSelection

    public FilterLogicTestNodeInterface getSelection()

  Gets the selection model for the adapter.

  Specified by:
    `getSelection` in interface `SimpleFilterDefinitionModelInterface`
  Returns:
    the selection model.

### setSelection

    public void setSelection(FilterLogicTestNodeInterface value)

  Sets the selection model for the adapter.

  Specified by:
    `setSelection` in interface `SimpleFilterDefinitionModelInterface`
  Parameters:
    `value` - the new selection

### setApplicationData

    public void setApplicationData(java.lang.Object data)

  Used to store application specific data

  Specified by:
    `setApplicationData` in interface `SimpleFilterDefinitionModelInterface`
  Parameters:
    `data` - to be stored with this object for application use

### getApplicationData

    public java.lang.Object getApplicationData()

  Used to retrieve application specific data

  Specified by:
    `getApplicationData` in interface `SimpleFilterDefinitionModelInterface`
  Returns:
    object

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.